<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\FoodsharingSiegen.Contracts\FoodsharingSiegen.Contracts.csproj" />
      <ProjectReference Include="..\FoodsharingSiegen.Shared\FoodsharingSiegen.Shared.csproj" />
    </ItemGroup>

    <PropertyGroup>
        <LibSassOutputStyle>expanded</LibSassOutputStyle>
        <LibSassOutputLevel>verbose</LibSassOutputLevel>
        <LibSassMessageLevel>High</LibSassMessageLevel>
    </PropertyGroup>
    
    <ItemGroup>
      <PackageReference Include="LibSassBuilder" Version="2.0.1" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.1" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="6.0.1">
        <PrivateAssets>all</PrivateAssets>
        <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
      <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="6.0.1" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="6.0.1" />
      <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="6.16.0" />
    </ItemGroup>

</Project>
